Fly augmented Request, adds extra relevant fields for proxy level Requests.

### Hierarchy

- Request
  - FlyRequest

## Index

### Properties

- Request
- bodySource
- bodyUsed
- cache
- constructor
- credentials
- destination
- headers
- integrity
- keepalive
- method
- mode
- redirect
- referrer
- referrerPolicy
- remoteAddr
- should
- signal
- type
- url

### Methods

- arrayBuffer
- blob
- clone
- formData
- hasOwnProperty
- isPrototypeOf
- json
- propertyIsEnumerable
- text
- toLocaleString
- toString
- valueOf

## Properties

### Request

Request: object

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9264

#### Type declaration

### bodySource

bodySource: any

Inherited from Request.bodySource

- Defined in hacks.d.ts:20

### bodyUsed

bodyUsed: boolean

Inherited from Body.bodyUsed

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13912

### cache

cache: RequestCache

Inherited from Request.cache

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9247

### constructor

constructor: Function

Inherited from Object.constructor

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:112

The initial value of Object.prototype.constructor is the standard built-in Object constructor.

### credentials

credentials: RequestCredentials

Inherited from Request.credentials

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9248

### destination

destination: RequestDestination

Inherited from Request.destination

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9249

### headers

headers: Headers

Inherited from Request.headers

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9250

### integrity

integrity: string

Inherited from Request.integrity

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9251

### keepalive

keepalive: boolean

Inherited from Request.keepalive

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9252

### method

method: string

Inherited from Request.method

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9253

### mode

mode: RequestMode

Inherited from Request.mode

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9254

### redirect

redirect: RequestRedirect

Inherited from Request.redirect

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9255

### referrer

referrer: string

Inherited from Request.referrer

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9256

### referrerPolicy

referrerPolicy: ReferrerPolicy

Inherited from Request.referrerPolicy

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9257

### Optional remoteAddr

remoteAddr: string

- Defined in fly/fetch/index.ts:13

### should

should: Assertion

Inherited from Object.should

- Defined in /Users/kurt/code/fly.io/core/node_modules/@types/chai/index.d.ts:1705

### signal

signal: AbortSignal

Inherited from Request.signal

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9260

### type

type: RequestType

Inherited from Request.type

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9258

### url

url: string

Inherited from Request.url

- Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9259

## Methods

### arrayBuffer

- arrayBuffer(): Promise<ArrayBuffer>

- Inherited from Body.arrayBuffer

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13913

  #### Returns Promise<ArrayBuffer>

### blob

- blob(): Promise<Blob>

- Inherited from Body.blob

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13914

  #### Returns Promise<Blob>

### clone

- clone(): Request

- Inherited from Request.clone

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9261

  #### Returns Request

### formData

- formData(): Promise<FormData>

- Inherited from Body.formData

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13917

  #### Returns Promise<FormData>

### hasOwnProperty

- hasOwnProperty(v: string): boolean

- Inherited from Object.hasOwnProperty

  Overrides Object.hasOwnProperty

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:127

  Determines whether an object has a property with the specified name.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### isPrototypeOf

- isPrototypeOf(v: Object): boolean

- Inherited from Object.isPrototypeOf

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:133

  Determines whether an object exists in another object's prototype chain.

  #### Parameters

  - ##### v: Object

    Another object whose prototype chain is to be checked.

  #### Returns boolean

### json

- json(): Promise<any>

- Inherited from Body.json

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13915

  #### Returns Promise<any>

### propertyIsEnumerable

- propertyIsEnumerable(v: string): boolean

- Inherited from Object.propertyIsEnumerable

  Overrides Object.propertyIsEnumerable

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:139

  Determines whether a specified property is enumerable.

  #### Parameters

  - ##### v: string

    A property name.

  #### Returns boolean

### text

- text(): Promise<string>

- Inherited from Body.text

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:13916

  #### Returns Promise<string>

### toLocaleString

- toLocaleString(): string

- Inherited from Object.toLocaleString

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:118

  Returns a date converted to a string using the current locale.

  #### Returns string

### toString

- toString(): string

- Inherited from Object.toString

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:115

  Returns a string representation of an object.

  #### Returns string

### valueOf

- valueOf(): Object

- Inherited from Object.valueOf

  - Defined in /Users/kurt/code/fly.io/core/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:121

  Returns the primitive value of the specified object.

  #### Returns Object

Generated using TypeDoc